#
# spec file for package python-pandas
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         oldpython python
Name:           python-pandas
Version:        0.24.1
Release:        0
Summary:        Python module for working with "relational" or "labeled" data
License:        BSD-3-Clause
Group:          Development/Libraries/Python
URL:            http://pandas.pydata.org/
Source0:        https://files.pythonhosted.org/packages/source/p/pandas/pandas-%{version}.tar.gz
BuildRequires:  %{python_module Cython >= 0.28.2}
BuildRequires:  %{python_module SQLAlchemy}
BuildRequires:  %{python_module XlsxWriter}
BuildRequires:  %{python_module beautifulsoup4 >= 4.2.1}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module numpy-devel >= 1.15.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil >= 2.5}
BuildRequires:  %{python_module pytz >= 2011k}
BuildRequires:  %{python_module setuptools >= 24.2.0}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module xlrd}
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python-rpm-macros
BuildRequires:  xvfb-run
Requires:       python-Cython >= 0.28.2
Requires:       python-Tempita
Requires:       python-lxml
Requires:       python-numpy >= 1.15.0
Requires:       python-python-dateutil >= 2.5
Requires:       python-pytz >= 2011k
Requires:       python-six
Recommends:     python-Bottleneck
Recommends:     python-Jinja2
Recommends:     python-SQLAlchemy >= 0.8.1
Recommends:     python-XlsxWriter
Recommends:     python-beautifulsoup4 >= 4.2.1
Recommends:     python-blosc
Recommends:     python-boto
Recommends:     python-google-api-python-client
Recommends:     python-html5lib
Recommends:     python-matplotlib
Recommends:     python-numexpr >= 2.1
Recommends:     python-oauth2client
Recommends:     python-openpyxl >= 2.4
Recommends:     python-pandas-gbq
Recommends:     python-python-gflags
Recommends:     python-s3fs
Recommends:     python-scipy
Recommends:     python-tables >= 3.0.0
Recommends:     python-xarray >= 0.7.0
Recommends:     python-xlrd
Recommends:     python-xlwt
Recommends:     xclip
Obsoletes:      python-pandas-doc < %{version}
Provides:       python-pandas-doc = %{version}
%ifpython2
Recommends:     python-backports.lzma
Obsoletes:      %{oldpython}-pandas-doc < %{version}
Provides:       %{oldpython}-pandas-doc = %{version}
%endif
%python_subpackages

%description
pandas is a Python package providing flexible and expressive data
structures for working with "relational" or "labeled" data.

Documentation is located at
http://pandas.pydata.org/pandas-docs/stable/ .

%prep
%setup -q -n pandas-%{version}
sed -i -e '/^#!\//, 1d' pandas/core/computation/eval.py

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
# skip test that tries to compile stuff in buildroot test_oo_optimizable
%python_expand PYTHONPATH=%{buildroot}%{$python_sitearch} xvfb-run py.test-%{$python_version} -v %{buildroot}%{$python_sitearch}/pandas/tests -k 'not test_oo_optimizable'

%files %{python_files}
%license LICENSE
%doc doc/README.rst RELEASE.md
%{python_sitearch}/pandas/
%{python_sitearch}/pandas-%{version}-py*.egg-info

%changelog
